Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.hyphenation
Class Hyphenation

    java.lang.Object
      org.apache.fop.hyphenation.Hyphenation

    public class Hyphenation

extends java.lang.Object

This work was authored by Carlos Villegas (cav@uniscope.co.jp).

Method Summary
`int[]` | `getHyphenationPoints()`
`java.lang.String` | `getPostHyphenText(int index)`
`java.lang.String` | `getPreHyphenText(int index)`
`int` | `length()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### length

    public int length()

  Returns:
    the number of hyphenation points in the word

### getPreHyphenText

    public java.lang.String getPreHyphenText(int index)

  Parameters:
    `index` - an index position
  Returns:
    the pre-break text, not including the hyphen character

### getPostHyphenText

    public java.lang.String getPostHyphenText(int index)

  Parameters:
    `index` - an index position
  Returns:
    the post-break text

### getHyphenationPoints

    public int[] getHyphenationPoints()

  Returns:
    the hyphenation points

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.